PHP 手冊
前一頁 |  | 下一頁

# DOMDocument->validate()

DOMDocument->validate() -- Validates the document based on its DTD

## Description

class DOMDocument {
bool validate ( void )
}

Validates the document based on its DTD.

You can also use the validateOnParse property of DOMDocument to make a DTD validation.

## Return Values

成功回傳`TRUE`失敗回傳`FALSE`。 If the document have no DTD attached, this method will return `FALSE`.

## 範例

範例 1. Example of DTD validation
`<?php $dom = new DOMDocument; $dom->Load('book.xml'); if ($dom->validate()) { echo "This document is valid!\n"; } ?>`
You can also validate your XML file while loading it:
`<?php $dom = new DOMDocument; $dom->validateOnParse = true; $dom->Load('book.xml'); ?>`

## 參考

DOMDocument->schemaValidate()
DOMDocument->schemaValidateSource()
DOMDocument->relaxNGValidate()
DOMDocument->relaxNGValidateSource()

前一頁 | 內容 | 下一頁
DOMDocument->schemaValidateSource() | 上一層 | DOMDocument->xinclude()